eoSeqPopulator(3)

NAME
eoSeqPopulator - SeqPopulator: an eoPopulator that sequentially goes through the population is supposed to be used after a batch select of a whole bunch or genitors.

SYNOPSIS

#include <eoPopulator.h>

Inherits eoPopulator< EOT >< EOT >.

  Public Member Functions
eoSeqPopulator (const eoPop< EOT > &_pop, eoPop< EOT > &_dest)
const EOT & select (void)
the select method simply returns next individual in the src pop

  Private Attributes
unsigned current

Detailed Description

  template<class EOT> class eoSeqPopulator< EOT >
SeqPopulator: an eoPopulator that sequentially goes through the population is supposed to be used after a batch select of a whole bunch or genitors.

Definition at line 152 of file eoPopulator.h.

Author

Generated automatically by Doxygen for EO from the source code.